org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.SplitShard

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest
      - - org.apache.solr.client.solrj.request.CollectionAdminRequest.SplitShard

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest

    public static class CollectionAdminRequest.SplitShard
    extends CollectionAdminRequest.CollectionShardAdminRequest

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.CollectionShardAdminRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.Reload, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected String` `ranges`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

`shardName`

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action, collection`

### Constructor Summary

Constructors
Constructor and Description
`CollectionAdminRequest.SplitShard()`

### Method Summary

Methods
`SolrParams` `getParams()`
`String` `getRanges()`
`void` `setRanges(String ranges)`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest.CollectionShardAdminRequest

`getCommonParams, getShardName, setShardName`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`createAlias, createCollection, createCollection, createCollection, createCollection, createShard, createShard, deleteAlias, deleteCollection, deleteShard, getContentStreams, process, reloadCollection, setAction, setCollectionName, splitShard, splitShard`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ranges

    protected String ranges

### Constructor Detail

#### CollectionAdminRequest.SplitShard

    public CollectionAdminRequest.SplitShard()

### Method Detail

#### setRanges

    public void setRanges(String ranges)

#### getRanges

    public String getRanges()

#### getParams

    public SolrParams getParams()

Overrides:
  `getParams` in class `CollectionAdminRequest.CollectionShardAdminRequest`